## cvxopt 0.9

=== doc/Makefile ===
SOURCES	= cvxopt.tex intro.tex base.tex blas.tex lapack.tex \
	spsolvers.tex modeling.tex coneprog.tex solvers.tex c-api.tex 

all: html 

latex: Makefile $(SOURCES) 
	latex cvxopt.tex

html: Makefile $(SOURCES) 
	latex cvxopt.tex
	latex2html -ps_images cvxopt
	rm -rf *.dvi *.idx *.ind *.l2h *.log *.toc *.aux *~ 

clean:	
	rm -rf *.dvi *.idx *.ind *.l2h *.log *.toc *.aux *~ *.ps cvxopt

=== src/C/SuiteSparse/Makefile ===
#-------------------------------------------------------------------------------
# Makefile for all UF sparse matrix packages
#-------------------------------------------------------------------------------

include UFconfig/UFconfig.mk

# Compile the default rules for each package
default:
	( cd UFconfig/xerbla ; $(MAKE) )
	( cd metis-4.0 ; $(MAKE) )
	( cd AMD ; $(MAKE) )
	( cd CAMD ; $(MAKE) )
	( cd COLAMD ; $(MAKE) )
	( cd BTF ; $(MAKE) )
	( cd KLU ; $(MAKE) )
	( cd LDL ; $(MAKE) )
	( cd CCOLAMD ; $(MAKE) )
	( cd UMFPACK ; $(MAKE) )
	( cd CHOLMOD ; $(MAKE) )
	( cd CSparse ; $(MAKE) )
	( cd CXSparse ; $(MAKE) )
#	( cd LPDASA ; $(MAKE) )
#	( cd PARAKLETE ; $(MAKE) )

library: default

# Compile the MATLAB mexFunctions (except RBio and UFcollection)
mex:
	( cd AMD ; $(MAKE) mex )
	( cd CAMD ; $(MAKE) mex )
	( cd COLAMD ; $(MAKE) mex )
	( cd BTF ; $(MAKE) mex )
	( cd KLU ; $(MAKE) mex )
	( cd LDL ; $(MAKE) mex )
	( cd CCOLAMD ; $(MAKE) mex )
	( cd CHOLMOD ; $(MAKE) mex )
	( cd UMFPACK ; $(MAKE) mex )
	( cd CXSparse ; $(MAKE) mex )
	( cd CSparse ; $(MAKE) mex )

# Remove all files not in the original distribution
purge:
	( cd UFconfig/xerbla ; $(MAKE) purge )
	( cd metis-4.0 ; $(MAKE) realclean )
	( cd AMD ; $(MAKE) purge )
	( cd CAMD ; $(MAKE) purge )
	( cd COLAMD ; $(MAKE) purge )
	( cd BTF ; $(MAKE) purge )
	( cd KLU ; $(MAKE) purge )
	( cd LDL ; $(MAKE) purge )
	( cd CCOLAMD ; $(MAKE) purge )
	( cd UMFPACK ; $(MAKE) purge )
	( cd CHOLMOD ; $(MAKE) purge )
	( cd CSparse ; $(MAKE) purge )
	( cd CXSparse ; $(MAKE) purge )
	( cd RBio ; $(RM) *.mex* )
	( cd UFcollection ; $(RM) *.mex* )
#	( cd LPDASA ; $(MAKE) purge )
#	( cd PARAKLETE ; $(MAKE) purge )

# Remove all files not in the original distribution, but keep the libraries
clean:
	( cd UFconfig/xerbla ; $(MAKE) clean )
	( cd metis-4.0 ; $(MAKE) clean )
	( cd AMD ; $(MAKE) clean )
	( cd CAMD ; $(MAKE) clean )
	( cd COLAMD ; $(MAKE) clean )
	( cd BTF ; $(MAKE) clean )
	( cd KLU ; $(MAKE) clean )
	( cd LDL ; $(MAKE) clean )
	( cd CCOLAMD ; $(MAKE) clean )
	( cd UMFPACK ; $(MAKE) clean )
	( cd CHOLMOD ; $(MAKE) clean )
	( cd CSparse ; $(MAKE) clean )
	( cd CXSparse ; $(MAKE) clean )
#	( cd LPDASA ; $(MAKE) clean )
#	( cd PARAKLETE ; $(MAKE) clean )

distclean: purge

# Create CXSparse from CSparse.  Note that the CXSparse directory should
# initially not exist.
cx:
	( cd CSparse ; $(MAKE) purge )
	( cd CXSparse_newfiles ; tar cfv - * | gzip -9 > ../CXSparse_newfiles.tar.gz )
	./CSparse_to_CXSparse CSparse CXSparse CXSparse_newfiles.tar.gz
	( cd CXSparse/Demo ; $(MAKE) )
	( cd CXSparse/Demo ; $(MAKE) > cs_demo.out )
	( cd CXSparse ; $(MAKE) purge )

## cvxopt 0.9.3

=== doc/Makefile ===
SOURCES	= cvxopt.tex intro.tex base.tex blas.tex lapack.tex \
	spsolvers.tex modeling.tex solvers.tex coneprog.tex c-api.tex 

all: html 

html: Makefile $(SOURCES) 
	htlatex cvxopt.tex "html,3,info" 
	tex4ht -f/cvxopt  -i/usr/share/texmf/tex4ht/ht-fonts/ \
            -e/usr/share/texmf/tex4ht/tex4ht.env
	t4ht -dhtml/ -f/cvxopt.tex -e/usr/share/texmf/tex4ht/tex4ht.env
	rm -rf *.html *.4ct *.4tc *.css *.dvi *.idv *.tmp log *.toc *.aux \
            *.lg *.xref *.png *.log

clean:	
	rm -rf *.html *.4ct *.4tc *.css *.dvi *.idv *.tmp *.log *.toc \
            *.aux *.lg *.xref *.png *.log html/*

## cvxopt 1.1

=== doc/Makefile ===
--- 
+++ 
@@ -1,4 +1,4 @@
-SOURCES	= cvxopt.tex intro.tex base.tex blas.tex lapack.tex \
+SOURCES	= cvxopt.tex intro.tex matrices.tex blas.tex lapack.tex fftw.tex \
 	spsolvers.tex modeling.tex solvers.tex coneprog.tex c-api.tex 
 
 all: html

## cvxopt 1.1.3

=== src/C/SuiteSparse/Makefile ===
--- 
+++ 
@@ -7,7 +7,7 @@
 # Compile the default rules for each package
 default:
 	( cd UFconfig/xerbla ; $(MAKE) )
-	( cd metis-4.0 ; $(MAKE) )
+#	( cd metis-4.0 ; $(MAKE) )
 	( cd AMD ; $(MAKE) )
 	( cd CAMD ; $(MAKE) )
 	( cd COLAMD ; $(MAKE) )
@@ -19,29 +19,33 @@
 	( cd CHOLMOD ; $(MAKE) )
 	( cd CSparse ; $(MAKE) )
 	( cd CXSparse ; $(MAKE) )
+	( cd SPQR ; $(MAKE) )
 #	( cd LPDASA ; $(MAKE) )
 #	( cd PARAKLETE ; $(MAKE) )
 
 library: default
 
 # Compile the MATLAB mexFunctions (except RBio and UFcollection)
+# CHOLMOD and KLU will fail if you don't have METIS (use SuiteSparse_install.m
+# in the MATLAB Command Window instead to compile them without METIS)
 mex:
 	( cd AMD ; $(MAKE) mex )
 	( cd CAMD ; $(MAKE) mex )
 	( cd COLAMD ; $(MAKE) mex )
 	( cd BTF ; $(MAKE) mex )
-	( cd KLU ; $(MAKE) mex )
 	( cd LDL ; $(MAKE) mex )
 	( cd CCOLAMD ; $(MAKE) mex )
-	( cd CHOLMOD ; $(MAKE) mex )
-	( cd UMFPACK ; $(MAKE) mex )
 	( cd CXSparse ; $(MAKE) mex )
 	( cd CSparse ; $(MAKE) mex )
+	( cd UMFPACK ; $(MAKE) mex )
+	( cd SPQR ; $(MAKE) mex )
+	( cd CHOLMOD ; $(MAKE) mex )
+	( cd KLU ; $(MAKE) mex )
 
 # Remove all files not in the original distribution
 purge:
 	( cd UFconfig/xerbla ; $(MAKE) purge )
-	( cd metis-4.0 ; $(MAKE) realclean )
+#	( cd metis-4.0 ; $(MAKE) realclean )
 	( cd AMD ; $(MAKE) purge )
 	( cd CAMD ; $(MAKE) purge )
 	( cd COLAMD ; $(MAKE) purge )
@@ -55,13 +59,16 @@
 	( cd CXSparse ; $(MAKE) purge )
 	( cd RBio ; $(RM) *.mex* )
 	( cd UFcollection ; $(RM) *.mex* )
+	( cd SSMULT ; $(RM) *.mex* )
+	( cd SPQR ; $(MAKE) purge )
+	- $(RM) MATLAB_Tools/spok/*.mex* MATLAB_Tools/spok/private/*.mex*
 #	( cd LPDASA ; $(MAKE) purge )
 #	( cd PARAKLETE ; $(MAKE) purge )
 
 # Remove all files not in the original distribution, but keep the libraries
 clean:
 	( cd UFconfig/xerbla ; $(MAKE) clean )
-	( cd metis-4.0 ; $(MAKE) clean )
+#	( cd metis-4.0 ; $(MAKE) clean )
 	( cd AMD ; $(MAKE) clean )
 	( cd CAMD ; $(MAKE) clean )
 	( cd COLAMD ; $(MAKE) clean )
@@ -73,6 +80,7 @@
 	( cd CHOLMOD ; $(MAKE) clean )
 	( cd CSparse ; $(MAKE) clean )
 	( cd CXSparse ; $(MAKE) clean )
+	( cd SPQR ; $(MAKE) clean )
 #	( cd LPDASA ; $(MAKE) clean )
 #	( cd PARAKLETE ; $(MAKE) clean )
 
@@ -88,3 +96,12 @@
 	( cd CXSparse/Demo ; $(MAKE) > cs_demo.out )
 	( cd CXSparse ; $(MAKE) purge )
 
+# statement coverage (Linux only); this requires a lot of time.
+# The umfpack tcov requires a lot of disk space
+cov:
+	( cd CXSparse ; $(MAKE) cov )
+	( cd CSparse ; $(MAKE) cov )
+	( cd KLU ; $(MAKE) cov )
+	( cd CHOLMOD ; $(MAKE) cov )
+	( cd UMFPACK ; $(MAKE) cov )
+	( cd SPQR ; $(MAKE) cov )

=== debian/changelog ===
cvxopt (1.1.3-2fakesync1) precise; urgency=low

  * Fake sync due to mismatching orig tarball.

 -- Micah Gersten <micahg@ubuntu.com>  Sun, 25 Dec 2011 02:27:39 -0600

cvxopt (1.1.3-2) unstable; urgency=low

  * Bump standards version to 3.9.2 (no changes required).
  * Convert package to use dh_python2 (Closes: #616783).

 -- Soeren Sonnenburg <sonne@debian.org>  Fri, 22 Jul 2011 17:01:34 +0200

cvxopt (1.1.3-1) unstable; urgency=low

  * New upstream release.
    - Install header files (Closes: #604894)
    - Fixes build with Sphinx 1.0 (Closes: #608841).
  * Bump standards version to 3.9.1
    - Convert package to format 3.0 (quilt)
    - Remove debian/README.source

 -- Soeren Sonnenburg <sonne@debian.org>  Wed, 12 Jan 2011 15:04:47 +0100

cvxopt (1.1.2-1) unstable; urgency=low

  [ Torsten Werner ]
  * Remove myself from Uploaders as discussed with Sören

  [ Soeren Sonnenburg ]
  * New upstream release.
    - Now uses python-spinx to build documentation.
    - Refresh patches.
    - Require at least python 2.5.
    - Require lapack and blas.
  * Bump standards version to 3.8.3 (no changes required).

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 20 Dec 2009 07:09:46 +0100

cvxopt (1.1-1) unstable; urgency=low

  * New upstream release.
  * Refresh patches.

 -- Soeren Sonnenburg <sonne@debian.org>  Sat, 25 Oct 2008 23:14:39 +0200

cvxopt (1.0-3) unstable; urgency=low

  * Update my email address to sonne@debian.org.
  * Introduce README.source and patch target to make package compliant to
    standards version 3.8.0.'

 -- Soeren Sonnenburg <sonne@debian.org>  Sun, 14 Sep 2008 16:37:10 +0200

cvxopt (1.0-2) unstable; urgency=low

  [ Torsten Werner ]
  * Do not run quilt in $(DEB_SRCDIR) anymore. (Closes: #485142)
  * Refresh all patches.

  [ Soeren Sonnenburg ]
  * Use Science/Mathematics as doc-base section.

 -- Torsten Werner <twerner@debian.org>  Wed, 11 Jun 2008 20:41:57 +0200

cvxopt (1.0-1) unstable; urgency=low

  * New upstream release.
  * Fix build for python2.4
  * Add a README.source, documenting that we are using quilt to add some
  patches.

 -- Soeren Sonnenburg <debian@nn7.de>  Tue, 29 Apr 2008 06:55:27 +0200

cvxopt (0.9.3-1) unstable; urgency=low

  * new upstream release (Closes: #471368)
  * Remove the former +nogs1 suffix.
  * Update patch doc.diff.

 -- Torsten Werner <twerner@debian.org>  Mon, 17 Mar 2008 20:48:08 +0100

cvxopt (0.9.2+nogs1-1) unstable; urgency=low

  * Do not generate .pdf images on the fly but on obtaining source package to
    workaround failing epstopdf on some architectures

 -- Soeren Sonnenburg <debian@nn7.de>  Sat, 23 Feb 2008 21:46:20 +0100

cvxopt (0.9.2-2) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * Change Build-Depends of atlas, blas and lapack to match gfortran
    transition (Closes: #463938)
  * Tighten Build-Depends on dsdp >= 5.8-3

  [ Torsten Werner ]
  * Remove atlas support temporarily.

 -- Torsten Werner <twerner@debian.org>  Fri, 08 Feb 2008 22:26:36 +0100

cvxopt (0.9.2-1) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * New upstream version
  * Generate indexed pdf

  [ Torsten Werner ]
  * Add Build-Depends: texlive-latex-extra.
  * Change Build-Depends: gs-gpl to ghostscript.
  * Fix white space in doc-base file.

 -- Torsten Werner <twerner@debian.org>  Wed, 02 Jan 2008 20:19:49 +0100

cvxopt (0.9.1-4) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * add lapack3-dev to build depends for arm architecture

  [ Torsten Werner ]
  * Change Build-Depends: fftw3-dev to libfftw3-dev.

 -- Torsten Werner <twerner@debian.org>  Wed, 19 Dec 2007 16:53:24 +0100

cvxopt (0.9.1-3) unstable; urgency=low

  * Really enable GSL support.

 -- Torsten Werner <twerner@debian.org>  Mon, 17 Dec 2007 19:39:29 +0100

cvxopt (0.9.1-2) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * Enable gsl support and remove obsolete README.Debian (Closes: #456723)

  [ Torsten Werner ]
  * Remove Depends: lapack3-dev.
  * Support newer versions of dpkg-shlibdeps.
  * Update Homepage and Vcs headers in debian/control.
  * Change Standards-Version: 3.7.3.
  * Remove the full text of GPL-3 from debian/copyright because base-files
    ships it now.

 -- Torsten Werner <twerner@debian.org>  Mon, 17 Dec 2007 19:18:11 +0100

cvxopt (0.9.1-1) unstable; urgency=low

  * New upstream version

 -- Soeren Sonnenburg <debian@nn7.de>  Sun, 25 Nov 2007 17:32:57 +0000

cvxopt (0.9-3) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * Fix FTBFS if build twice in a row. (Closes: #442537)

  [ Torsten Werner ]
  * Change Build-Depends: gs-common to gs-gpl.

 -- Torsten Werner <twerner@debian.org>  Wed, 19 Sep 2007 20:57:04 +0200

cvxopt (0.9-2) unstable; urgency=low

  * add lapack3-dev to build depends for arm architecture

 -- Soeren Sonnenburg <debian@nn7.de>  Thu, 16 Aug 2007 07:49:27 +0200

cvxopt (0.9-1) unstable; urgency=low

  * new upstream version
  * build pdf version of documentation and add doc-base support

 -- Soeren Sonnenburg <debian@nn7.de>  Thu, 09 Aug 2007 21:08:44 +0200

cvxopt (0.8.2-3) unstable; urgency=low

  * add build dependency on libdsdp-dev and enable the dsdp semidefinite
  programming solver

 -- Soeren Sonnenburg <debian@nn7.de>  Sun, 5 Aug 2007 12:10:22 +0200

cvxopt (0.8.2-2) unstable; urgency=low

  * disable atlas3-base-dev build dependency on arm as it is unavailable and
  works without

 -- Soeren Sonnenburg <debian@nn7.de>  Tue, 31 Jul 2007 11:34:00 +0200

cvxopt (0.8.2-1) unstable; urgency=low

  [ Soeren Sonnenburg ]
  * First upload to Debian. (Closes: #431233)
  * Acknowledge ubuntu packaging from upstream.
  * Switch to pycentral.

  [ Torsten Werner ]
  * Switch to quilt and more debhelper tools.
  * Fix Build-Depends.

 -- Torsten Werner <twerner@debian.org>  Wed,  4 Jul 2007 21:33:44 +0200

cvxopt (0.8-3) unstable; urgency=low

  * Release of version 0.8.2

 -- Joachim Dahl <joachim@kom.aau.dk>  Tue, 6 Feb 2007 19:05:00 +0100

cvxopt (0.8-2) unstable; urgency=low

  * Release of version 0.8.1



=== debian/control ===
Source: cvxopt
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Soeren Sonnenburg <sonne@debian.org>
Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 5),
 libatlas-base-dev [!powerpc !alpha !arm !armel], libblas-dev, liblapack-dev,
 python-sphinx, libglpk-dev, libfftw3-dev, libgsl0-dev, libdsdp-dev (>= 5.8-4),
 texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
 texlive-fonts-recommended, python-all-dev (>= 2.6.6-3~),
X-Python-Version: >= 2.5
Standards-Version: 3.9.2
Homepage: http://abel.ee.ucla.edu/cvxopt
Vcs-Svn: https://bollin.googlecode.com/svn/cvxopt/trunk/
Vcs-Browser: http://bollin.googlecode.com/svn/cvxopt/trunk/

Package: python-cvxopt
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: Python package for convex optimization
 CVXOPT is a Python package for convex optimization. It includes
  * Python classes for storing and manipulating dense and sparse matrices
  * an interface to most of the double-precision real and complex BLAS
  * an interface to the dense linear equation solvers and eigenvalue
    routines from LAPACK
  * interfaces to the sparse LU and Cholesky solvers from UMFPACK and
    CHOLMOD.
  * routines for solving convex optimization problems, an interface to
    the linear programming solver in GLPK, and interfaces to the
    linear and quadratic programming solvers in MOSEK
  * a modeling tool for specifying convex piecewise-linear
    optimization problems.

=== debian/rules ===
#! /usr/bin/make -f 

DEB_SRCDIR            := src
DEB_COMPRESS_EXCLUDE  := CVXOPT.pdf
DEB_SHLIBDEPS_INCLUDE := /usr/lib/atlas

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/python-distutils.mk

build/python-cvxopt:: debian/stamp-docs
debian/stamp-docs:
	make -C doc latex
	make -C doc/build/latex all-pdf
	touch $@

install/python-cvxopt::
	mkdir -p usr/include/cvxopt
	dh_install -ppython-cvxopt src/C/cvxopt.h src/C/blas_redefines.h  usr/include/cvxopt

clean::
	$(RM) debian/stamp-docs 
	make -C doc clean
	$(RM) -r src/build

get-orig-source:
	-uscan --rename --upstream-version 0
	@echo successfully retrieved upstream tarball

## cvxopt 1.1.4

=== src/C/SuiteSparse/CHOLMOD/Makefile ===
#-------------------------------------------------------------------------------
# CHOLMOD Makefile
#-------------------------------------------------------------------------------

# Note: If you do not have METIS, or do not wish to use it in CHOLMOD, you must
# compile CHOLMOD with the -DNPARTITION flag.  See ../UFconfig/UFconfig.mk.

default: all

include ../UFconfig/UFconfig.mk

# Compile the C-callable libraries and the Demo programs.
all:
	( cd Lib ; $(MAKE) )
	( cd Demo ; $(MAKE) )

# Compile the C-callable libraries only.
library:
	( cd Lib ; $(MAKE) )

# Remove all files not in the original distribution
purge:
	( cd MATLAB ; $(MAKE) purge )
	( cd Tcov ; $(MAKE) purge )
	( cd Lib ; $(MAKE) purge )
	( cd Valgrind ; $(MAKE) dopurge )
	( cd Demo ; $(MAKE) purge )
	( cd Doc ; $(MAKE) purge )

# Remove all files not in the original distribution, except keep the 
# compiled libraries.
clean:
	( cd MATLAB ; $(MAKE) clean )
	( cd Tcov ; $(MAKE) clean )
	( cd Lib ; $(MAKE) clean )
	( cd Valgrind ; $(MAKE) clean )
	( cd Demo ; $(MAKE) clean )

distclean: purge

ccode: all

# Compile the MATLAB mexFunctions (you can also use cholmod_make.m in MATLAB)
mex:
	( cd MATLAB ; $(MAKE) )

# Run the test coverage suite.  Takes about 40 minutes on a 3.2GHz Pentium.
# Requires Linux (gcc, gcov).
cov:
	( cd Tcov ; $(MAKE) go )

# Run the test coverage suite using Valgrind.  This takes a *** long *** time.
valgrind:
	( cd Valgrind ; $(MAKE) )

# Compile the C-callable libraries and the Demo programs.
demo:
	( cd Demo ; $(MAKE) )

=== debian/changelog ===
cvxopt (1.1.4-1.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bas Couwenberg ]
  * Update build dependencies for GSL 2, change libgsl0-dev to libgsl-dev.
    Closes: #807196

 -- Mattia Rizzolo <mattia@debian.org>  Tue, 26 Jan 2016 11:53:51 +0000

cvxopt (1.1.4-1.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix glpk-4.49.diff: Link the lpx emulation file, fix the #if activation
    test. This fixes "undefined symbol: lpx_create_prob" bugs. (Closes: #780251)

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Wed, 11 Mar 2015 23:00:40 +0100

cvxopt (1.1.4-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * glpk-4.49.diff: fix GLPK version detection (the wrong macro was used).
    (Closes: #731445)

 -- Sébastien Villemot <sebastien@debian.org>  Fri, 06 Dec 2013 17:38:28 +0100

cvxopt (1.1.4-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * glpk-4.49.diff: new patch, fixes FTBFS against recent versions of GLPK
    (Closes: #714368)

 -- Sébastien Villemot <sebastien@debian.org>  Thu, 15 Aug 2013 16:12:35 +0200

cvxopt (1.1.4-1) unstable; urgency=low

  * New upstream release.

 -- Soeren Sonnenburg <sonne@debian.org>  Thu, 19 Jan 2012 08:18:18 +0100

=== debian/control ===
--- 
+++ 
@@ -1,11 +1,10 @@
 Source: cvxopt
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Soeren Sonnenburg <sonne@debian.org>
+Maintainer: Soeren Sonnenburg <sonne@debian.org>
 Build-Depends: cdbs (>= 0.4.90~), debhelper (>= 5),
  libatlas-base-dev [!powerpc !alpha !arm !armel], libblas-dev, liblapack-dev,
- python-sphinx, libglpk-dev, libfftw3-dev, libgsl0-dev, libdsdp-dev (>= 5.8-4),
+ python-sphinx, libglpk-dev, libfftw3-dev, libgsl-dev, libdsdp-dev (>= 5.8-4),
  texlive-latex-base, texlive-latex-recommended, texlive-latex-extra,
  texlive-fonts-recommended, python-all-dev (>= 2.6.6-3~),
 X-Python-Version: >= 2.5

=== debian/watch ===
version=3
http://abel.ee.ucla.edu/src/cvxopt-(.*).tar.gz debian debian/orig-tar.sh

## cvxopt 1.1.9%2Bdfsg

=== debian/control ===
Source: cvxopt
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               libblas-dev,
               liblapack-dev,
               python-sphinx,
               latexmk,
               libglpk-dev,
               libfftw3-dev,
               libgsl-dev,
               libdsdp-dev,
               texlive-latex-base,
               texlive-latex-recommended,
               texlive-latex-extra,
               texlive-fonts-recommended,
               texlive-generic-extra,
               python-all-dev,
               python3-all-dev,
               python-sphinx-rtd-theme
Standards-Version: 4.0.1
Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cvxopt.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cvxopt.git
Homepage: http://cvxopt.org/
X-Python-Version: >= 2.5

Package: python-cvxopt
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python:Depends}
Provides: ${python:Provides}
Suggests: python-cvxopt-doc
Description: Python package for convex optimization
 CVXOPT is a Python package for convex optimization. It includes
  * Python classes for storing and manipulating dense and sparse matrices
  * an interface to most of the double-precision real and complex BLAS
  * an interface to the dense linear equation solvers and eigenvalue
    routines from LAPACK
  * interfaces to the sparse LU and Cholesky solvers from UMFPACK and
    CHOLMOD.
  * routines for solving convex optimization problems, an interface to
    the linear programming solver in GLPK, and interfaces to the
    linear and quadratic programming solvers in MOSEK
  * a modeling tool for specifying convex piecewise-linear
    optimization problems.
 .
 This package contains the Python 2 module.

Package: python3-cvxopt
Architecture: any
Depends: ${shlibs:Depends},
         ${misc:Depends},
         ${python3:Depends}
Provides: ${python:Provides}
Suggests: python-cvxopt-doc
Description: Python3 package for convex optimization
 CVXOPT is a Python package for convex optimization. It includes
  * Python classes for storing and manipulating dense and sparse matrices
  * an interface to most of the double-precision real and complex BLAS
  * an interface to the dense linear equation solvers and eigenvalue
    routines from LAPACK
  * interfaces to the sparse LU and Cholesky solvers from UMFPACK and
    CHOLMOD.
  * routines for solving convex optimization problems, an interface to
    the linear programming solver in GLPK, and interfaces to the
    linear and quadratic programming solvers in MOSEK
  * a modeling tool for specifying convex piecewise-linear
    optimization problems.
 .
 This package contains the Python 3 module.

Package: python-cvxopt-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
         libjs-mathjax
Breaks: python-cvxopt (<< 1.1.8)
Replaces: python-cvxopt (<< 1.1.8)
Description: Python package for convex optimization (documentation)
 CVXOPT is a Python package for convex optimization. It includes
  * Python classes for storing and manipulating dense and sparse matrices
  * an interface to most of the double-precision real and complex BLAS
  * an interface to the dense linear equation solvers and eigenvalue
    routines from LAPACK
  * interfaces to the sparse LU and Cholesky solvers from UMFPACK and
    CHOLMOD.
  * routines for solving convex optimization problems, an interface to
    the linear programming solver in GLPK, and interfaces to the
    linear and quadratic programming solvers in MOSEK
  * a modeling tool for specifying convex piecewise-linear
    optimization problems.
 .
 This package contains the documentation of the Python module.

## cvxopt 1.1.9+dfsg

=== debian/changelog ===
cvxopt (1.1.9+dfsg-3) unstable; urgency=medium

  * Build-Depends: s/python-sphinx*/python3-sphinx*/
  * Testsuite: autopkgtest-pkg-python
  * Standards-Version: 4.1.4
  * Point Vcs fields to salsa.debian.org

 -- Andreas Tille <tille@debian.org>  Mon, 16 Apr 2018 15:03:15 +0200

cvxopt (1.1.9+dfsg-2) unstable; urgency=medium

  * Team upload.

  [ Julian Gilbey ]
  * Fix breakage of earlier version by adding Replaces+Breaks
    python-cvxopt (<< 1.1.8) to -doc package (closes: #859579)

  [ Sébastien Villemot ]
  * Update homepage.
  * Use https for Format field of d/copyright.
  * Remove useless build-dependency on libatlas-base-dev.
  * python{,3}-cvxopt now suggest python-cvxopt-doc (Closes: #858106).
  * Add a build-dependency on latexmk, required to build with Sphinx 1.6
    (Closes: #872170).
  * Drop glpk-4.49.diff, no longer needed (Closes: #840159).
  * Support nodoc flag of DEB_BUILD_OPTIONS.
  * Bump Standards-Version to 4.0.1.

 -- Sébastien Villemot <sebastien@debian.org>  Mon, 21 Aug 2017 16:37:24 +0200

cvxopt (1.1.9+dfsg-1) unstable; urgency=medium

  * New upstream version
  * debhelper 10
  * drop Soeren Sonnenburg from Uploaders
  * delete empty dirs usr/cvxopt from binary package

 -- Andreas Tille <tille@debian.org>  Mon, 19 Jun 2017 17:00:03 +0200

cvxopt (1.1.8+dfsg-1) experimental; urgency=medium

  * New upstream version
    Closes: #708347
  * Team maintenance in Debian Science team
  * DEP5
  * cme fix dpkg-control
  * debhelper 9
  * debian/rules: dh + pybuild
  * exclude suitesparse code copy
    Closes: #719804
  * hardening=+bindnow
  * Python3 + doc package
    Closes: #822557 

 -- Andreas Tille <tille@debian.org>  Wed, 20 Jul 2016 14:15:31 +0200

cvxopt (1.1.4-1.5) unstable; urgency=medium

  * Non-maintainer upload.
  * Add build dependency on texlive-generic-extra for iftex.sty.
    (closes: #830343)
  * Update watch file for GitHub releases.
    (closes: #780307)

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 16 Jul 2016 17:47:04 +0200

=== debian/control ===
--- 
+++ 
@@ -2,12 +2,13 @@
 Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
+Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper (>= 10),
                dh-python,
                libblas-dev,
                liblapack-dev,
-               python-sphinx,
+               python3-sphinx,
                latexmk,
                libglpk-dev,
                libfftw3-dev,
@@ -20,10 +21,10 @@
                texlive-generic-extra,
                python-all-dev,
                python3-all-dev,
-               python-sphinx-rtd-theme
-Standards-Version: 4.0.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/cvxopt.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/cvxopt.git
+               python3-sphinx-rtd-theme
+Standards-Version: 4.1.4
+Vcs-Browser: https://salsa.debian.org/science-team/cvxopt
+Vcs-Git: https://salsa.debian.org/science-team/cvxopt.git
 Homepage: http://cvxopt.org/
 X-Python-Version: >= 2.5
 
@@ -32,8 +33,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python:Depends}
+Suggests: python-cvxopt-doc
 Provides: ${python:Provides}
-Suggests: python-cvxopt-doc
 Description: Python package for convex optimization
  CVXOPT is a Python package for convex optimization. It includes
   * Python classes for storing and manipulating dense and sparse matrices
@@ -55,8 +56,8 @@
 Depends: ${shlibs:Depends},
          ${misc:Depends},
          ${python3:Depends}
+Suggests: python-cvxopt-doc
 Provides: ${python:Provides}
-Suggests: python-cvxopt-doc
 Description: Python3 package for convex optimization
  CVXOPT is a Python package for convex optimization. It includes
   * Python classes for storing and manipulating dense and sparse matrices

=== debian/rules ===
#! /usr/bin/make -f 

export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow

DH_VERBOSE := 1

export PYBUILD_NAME=cvxopt

%:
	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	rm -rf doc/build cvxopt.egg-info

override_dh_install:
	dh_install
	find debian/python*-cvxopt -name cvxopt -type d -empty -delete

override_dh_auto_build-indep:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	# $(pyrun) 'make --directory=doc html latex'
	make --directory=doc html latex
	make --directory=doc/build/latex all-pdf
endif

override_dh_fixperms-indep:
	dh_fixperms -i
	find debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/examples -name "*.py" -exec chmod -x \{\} \;

override_dh_compress:
	dh_compress --exclude=.pdf

## cvxopt 1.2.3+dfsg

=== debian/changelog ===
cvxopt (1.2.3+dfsg-2build1) focal; urgency=medium

  * No-change rebuild to drop python3.7.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 18 Feb 2020 10:43:17 +0100

cvxopt (1.2.3+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Adam Conrad ]
  * multiarch.diff: Fix build with multiarch on !amd64 (Closes: #934382)

  [ Graham Inggs ]
  * Stop building python-cvxopt (Closes: #936357)
  * Update debian/python-cvxopt-doc.doc-base

 -- Graham Inggs <ginggs@debian.org>  Sun, 17 Nov 2019 11:29:33 +0000

cvxopt (1.2.3+dfsg-1) unstable; urgency=medium

  [ Jelmer Vernooĳ ]
  * Remove unnecessary X-Python{,3}-Version field in debian/control.
  * Trim trailing whitespace.

  [ Andreas Tille ]
  * Do not Build-Depend texlive-generic-extra
    Closes: #933281
  * New upstream version
  * debhelper-compat 12
  * Standards-Version: 4.4.0
  * Build-Depends: python*-setuptools

 -- Andreas Tille <tille@debian.org>  Mon, 29 Jul 2019 19:43:03 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 12),
                dh-python,
                libblas-dev,
                liblapack-dev,
@@ -18,38 +18,14 @@
                texlive-latex-recommended,
                texlive-latex-extra,
                texlive-fonts-recommended,
-               texlive-generic-extra,
-               python-all-dev,
+               texlive-plain-generic,
                python3-all-dev,
-               python3-sphinx-rtd-theme
-Standards-Version: 4.1.4
+               python3-sphinx-rtd-theme,
+               python3-setuptools
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/science-team/cvxopt
 Vcs-Git: https://salsa.debian.org/science-team/cvxopt.git
 Homepage: http://cvxopt.org/
-X-Python-Version: >= 2.5
-
-Package: python-cvxopt
-Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python:Depends}
-Suggests: python-cvxopt-doc
-Provides: ${python:Provides}
-Description: Python package for convex optimization
- CVXOPT is a Python package for convex optimization. It includes
-  * Python classes for storing and manipulating dense and sparse matrices
-  * an interface to most of the double-precision real and complex BLAS
-  * an interface to the dense linear equation solvers and eigenvalue
-    routines from LAPACK
-  * interfaces to the sparse LU and Cholesky solvers from UMFPACK and
-    CHOLMOD.
-  * routines for solving convex optimization problems, an interface to
-    the linear programming solver in GLPK, and interfaces to the
-    linear and quadratic programming solvers in MOSEK
-  * a modeling tool for specifying convex piecewise-linear
-    optimization problems.
- .
- This package contains the Python 2 module.
 
 Package: python3-cvxopt
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 export PYBUILD_NAME=cvxopt
 
 %:
-	dh $@ --with python2,python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
@@ -26,7 +26,7 @@
 
 override_dh_fixperms-indep:
 	dh_fixperms -i
-	find debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python-$(PYBUILD_NAME)-doc/examples -name "*.py" -exec chmod -x \{\} \;
+	find debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python*/examples -name "*.py" -exec chmod -x \{\} \;
 
 override_dh_compress:
 	dh_compress --exclude=.pdf

## cvxopt 1.2.5+dfsg

=== debian/changelog ===
cvxopt (1.2.5+dfsg-3) unstable; urgency=medium

  * Team upload
  * Do not try to run tests during arch:all build (Closes: #972271)

 -- Graham Inggs <ginggs@debian.org>  Thu, 15 Oct 2020 17:29:19 +0000

cvxopt (1.2.5+dfsg-2) unstable; urgency=medium

  * Add build dependency on dvipng to generate equations in
    HTML documentation (Closes: #947605)
  * Run unittests at build time
  * Run unittests during autopkgtest
  * Fix some typos, thanks Lintian

 -- Graham Inggs <ginggs@debian.org>  Thu, 15 Oct 2020 12:40:35 +0000

cvxopt (1.2.5+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream release
    - Python 3.9 and PyPy compatibility update (Closes: #972008)
  * Refresh patches
  * Switch to debhelper 13
  * Set Rules-Requires-Root: no
  * Remove trailing whitespace from changelog and rules
  * Bump Standards-Version to 4.5.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 13 Oct 2020 17:21:29 +0000

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
+               dvipng,
                libblas-dev,
                liblapack-dev,
                python3-sphinx,
@@ -22,7 +23,8 @@
                python3-all-dev,
                python3-sphinx-rtd-theme,
                python3-setuptools
-Standards-Version: 4.4.0
+Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/cvxopt
 Vcs-Git: https://salsa.debian.org/science-team/cvxopt.git
 Homepage: http://cvxopt.org/

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,11 @@
-#! /usr/bin/make -f 
+#! /usr/bin/make -f
 
 export DEB_BUILD_MAINT_OPTIONS = hardening=+bindnow
 
 DH_VERBOSE := 1
 
 export PYBUILD_NAME=cvxopt
+export PYBUILD_TEST_ARGS=-s tests
 
 %:
 	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
@@ -24,6 +25,8 @@
 	make --directory=doc/build/latex all-pdf
 endif
 
+override_dh_auto_test-indep:
+
 override_dh_fixperms-indep:
 	dh_fixperms -i
 	find debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python*/examples -name "*.py" -exec chmod -x \{\} \;

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/cvxopt/cvxopt/releases .*/archive/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## cvxopt 1.2.7%2Bdfsg

=== debian/control ===
--- 
+++ 
@@ -1,29 +1,31 @@
 Source: cvxopt
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
                dvipng,
                libblas-dev,
                liblapack-dev,
-               python3-sphinx,
-               latexmk,
                libglpk-dev,
                libfftw3-dev,
                libgsl-dev,
                libdsdp-dev,
-               texlive-latex-base,
-               texlive-latex-recommended,
-               texlive-latex-extra,
-               texlive-fonts-recommended,
-               texlive-plain-generic,
                python3-all-dev,
-               python3-sphinx-rtd-theme,
                python3-setuptools
-Standards-Version: 4.5.0
+Build-Depends-Indep: dh-sequence-sphinxdoc,
+                     python3-sphinx,
+                     latexmk,
+                     tex-gyre,
+                     texlive-latex-base,
+                     texlive-latex-recommended,
+                     texlive-latex-extra,
+                     texlive-fonts-recommended,
+                     python3-sphinx-rtd-theme,
+Standards-Version: 4.6.0
 Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/science-team/cvxopt
 Vcs-Git: https://salsa.debian.org/science-team/cvxopt.git

## cvxopt 1.2.7+dfsg

=== debian/changelog ===
cvxopt (1.2.7+dfsg-2) unstable; urgency=medium

  * Team upload
  * Add Build-Depends-Indep on tex-gyre

 -- Graham Inggs <ginggs@debian.org>  Tue, 19 Oct 2021 13:00:26 +0000

cvxopt (1.2.7+dfsg-1) unstable; urgency=medium

  * Team upload

  [ Helmut Grohne ]
  * Separate documentation dependencies to B-D-I (Closes: #983374)

  [ Graham Inggs ]
  * Update debian/watch
  * New upstream release
  * Drop fix-typos.patch, included upstream
  * Bump Standards-Version to 4.6.0, no changes

 -- Graham Inggs <ginggs@debian.org>  Tue, 19 Oct 2021 11:13:39 +0000

=== debian/control ===
--- 
+++ 
@@ -1,6 +1,5 @@
 Source: cvxopt
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python

=== debian/watch ===
version=3
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/cvxopt/cvxopt/releases .*/(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)

## cvxopt 1.3.0+dfsg

=== debian/changelog ===
cvxopt (1.3.0+dfsg-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Use secure URI in Homepage field.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository-Browse.
  * Fix day-of-week for changelog entry 0.5-2.
  * Update standards version to 4.6.1, no changes needed.

  [ Andreas Tille ]
  * Fix watch file
  * New upstream version
  * Fix Maintainer name of Debian Science team (routine-update)
  * Add salsa-ci file (routine-update)

 -- Andreas Tille <tille@debian.org>  Tue, 06 Dec 2022 17:12:29 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: cvxopt
-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Andreas Tille <tille@debian.org>
 Section: python
 Testsuite: autopkgtest-pkg-python
@@ -23,12 +23,12 @@
                      texlive-latex-recommended,
                      texlive-latex-extra,
                      texlive-fonts-recommended,
-                     python3-sphinx-rtd-theme,
-Standards-Version: 4.6.0
-Rules-Requires-Root: no
+                     python3-sphinx-rtd-theme
+Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/science-team/cvxopt
 Vcs-Git: https://salsa.debian.org/science-team/cvxopt.git
-Homepage: http://cvxopt.org/
+Homepage: https://cvxopt.org/
+Rules-Requires-Root: no
 
 Package: python3-cvxopt
 Architecture: any
@@ -59,8 +59,7 @@
 Depends: ${misc:Depends},
          ${sphinxdoc:Depends},
          libjs-mathjax
-Breaks: python-cvxopt (<< 1.1.8)
-Replaces: python-cvxopt (<< 1.1.8)
+Multi-Arch: foreign
 Description: Python package for convex optimization (documentation)
  CVXOPT is a Python package for convex optimization. It includes
   * Python classes for storing and manipulating dense and sparse matrices

=== debian/tests/control ===
Tests: unittest
Depends: python3-cvxopt, python3-all
Restrictions: allow-stderr

## cvxopt 1.3.2%2Bdfsg

=== debian/rules ===
--- 
+++ 
@@ -8,22 +8,20 @@
 export PYBUILD_TEST_ARGS=-s tests
 
 %:
-	dh $@ --with python3,sphinxdoc --buildsystem=pybuild
+	dh $@ --buildsystem=pybuild
 
 override_dh_auto_clean:
 	dh_auto_clean
-	rm -rf doc/build cvxopt.egg-info
+	rm -rf doc/build
 
 override_dh_install:
 	dh_install
 	find debian/python*-cvxopt -name cvxopt -type d -empty -delete
 
 override_dh_auto_build-indep:
-ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	# $(pyrun) 'make --directory=doc html latex'
 	make --directory=doc html latex
 	make --directory=doc/build/latex all-pdf
-endif
 
 override_dh_auto_test-indep:

## cvxopt 1.3.2+dfsg

=== debian/changelog ===
cvxopt (1.3.2+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Add build-dep on python3-setuptools-scm to avoid 0.0.0 version
  * Drop "Rules-Requires-Root: no": it is the default now
  * Bump Standards-Version to 4.7.2
  * Rewrite d/rules with newer & shorter syntax

 -- Alexandre Detiste <tchet@debian.org>  Sat, 08 Nov 2025 11:29:52 +0100

cvxopt (1.3.2+dfsg-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Use pybuild-plugin-pyproject.
  * Fix dsdp.sdp() reference counting (closes: #1117894).

 -- Colin Watson <cjwatson@debian.org>  Sun, 12 Oct 2025 11:44:17 +0100

=== debian/control ===
--- 
+++ 
@@ -1,42 +1,49 @@
 Source: cvxopt
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Andreas Tille <tille@debian.org>
+Uploaders:
+ Andreas Tille <tille@debian.org>,
 Section: python
 Testsuite: autopkgtest-pkg-python
 Priority: optional
-Build-Depends: debhelper-compat (= 13),
-               dh-sequence-python3,
-               dvipng,
-               libblas-dev,
-               liblapack-dev,
-               libglpk-dev,
-               libfftw3-dev,
-               libgsl-dev,
-               libdsdp-dev,
-               python3-all-dev,
-               python3-setuptools
-Build-Depends-Indep: dh-sequence-sphinxdoc,
-                     python3-sphinx,
-                     latexmk,
-                     tex-gyre,
-                     texlive-latex-base,
-                     texlive-latex-recommended,
-                     texlive-latex-extra,
-                     texlive-fonts-recommended,
-                     python3-sphinx-rtd-theme
-Standards-Version: 4.6.1
+Build-Depends:
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ dvipng,
+ libblas-dev,
+ libdsdp-dev,
+ libfftw3-dev,
+ libglpk-dev,
+ libgsl-dev,
+ liblapack-dev,
+ pybuild-plugin-pyproject,
+ python3-all-dev,
+ python3-setuptools,
+ python3-setuptools-scm,
+Build-Depends-Indep:
+ dh-sequence-sphinxdoc,
+ latexmk,
+ python3-sphinx,
+ python3-sphinx-rtd-theme,
+ tex-gyre,
+ texlive-fonts-recommended,
+ texlive-latex-base,
+ texlive-latex-extra,
+ texlive-latex-recommended,
+Standards-Version: 4.7.2
 Vcs-Browser: https://salsa.debian.org/science-team/cvxopt
 Vcs-Git: https://salsa.debian.org/science-team/cvxopt.git
 Homepage: https://cvxopt.org/
-Rules-Requires-Root: no
 
 Package: python3-cvxopt
 Architecture: any
-Depends: ${shlibs:Depends},
-         ${misc:Depends},
-         ${python3:Depends}
-Suggests: python-cvxopt-doc
-Provides: ${python:Provides}
+Depends:
+ ${misc:Depends},
+ ${python3:Depends},
+ ${shlibs:Depends},
+Suggests:
+ python-cvxopt-doc,
+Provides:
+ ${python:Provides},
 Description: Python3 package for convex optimization
  CVXOPT is a Python package for convex optimization. It includes
   * Python classes for storing and manipulating dense and sparse matrices
@@ -56,9 +63,10 @@
 Package: python-cvxopt-doc
 Architecture: all
 Section: doc
-Depends: ${misc:Depends},
-         ${sphinxdoc:Depends},
-         libjs-mathjax
+Depends:
+ libjs-mathjax,
+ ${misc:Depends},
+ ${sphinxdoc:Depends},
 Multi-Arch: foreign
 Description: Python package for convex optimization (documentation)
  CVXOPT is a Python package for convex optimization. It includes

=== debian/rules ===
--- 
+++ 
@@ -10,12 +10,10 @@
 %:
 	dh $@ --buildsystem=pybuild
 
-override_dh_auto_clean:
-	dh_auto_clean
+execute_after_dh_auto_clean:
 	rm -rf doc/build
 
-override_dh_install:
-	dh_install
+execute_after_dh_install:
 	find debian/python*-cvxopt -name cvxopt -type d -empty -delete
 
 override_dh_auto_build-indep:
@@ -25,8 +23,7 @@
 
 override_dh_auto_test-indep:
 
-override_dh_fixperms-indep:
-	dh_fixperms -i
+execute_after_dh_fixperms-indep:
 	find debian/python-$(PYBUILD_NAME)-doc/usr/share/doc/python*/examples -name "*.py" -exec chmod -x \{\} \;
 
 override_dh_compress:

=== debian/tests/control ===
Tests:
 unittest,
Depends:
 python3-all,
 python3-cvxopt,
Restrictions:
 allow-stderr,
